Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
eZContentCache Class Reference

The class eZContentCache does. More...

## Static Public Member Functions
static | cachePathInfo ( $siteDesign, $nodeID, $viewMode, $language, $offset, $roleList, $discountList, $layout, $cacheTTL=false, $parameters=array())
static | exists ( $siteDesign, $nodeID, $viewMode, $language, $offset, $roleList, $discountList, $layout, $parameters=array())
static | restore ( $siteDesign, $nodeID, $viewMode, $language, $offset, $roleList, $discountList, $layout, $parameters=array())
static | store ( $siteDesign, $objectID, $classID, $classIdentifier, $nodeID, $parentNodeID, $nodeDepth, $urlAlias, $viewMode, $sectionID, $language, $offset, $roleList, $discountList, $layout, $navigationPartIdentifier, $result, $cacheTTL=-1, $parameters=array())
static | calculateCleanupValue ( $nodeCount)
static | inCleanupThresholdRange ( $value)
static | cleanup ( $nodeList, $userId=false)

## Public Attributes
const | CODE_DATE = 1064816011

## Detailed Description

The class eZContentCache does.

Definition at line 17 of file ezcontentcache.php.

## Member Function Documentation

## ◆ cachePathInfo()

static eZContentCache::cachePathInfo | ( |  | $siteDesign,
|  |  | $nodeID,
|  |  | $viewMode,
|  |  | $language,
|  |  | $offset,
|  |  | $roleList,
|  |  | $discountList,
|  |  | $layout,
|  |  | $cacheTTL = `false`,
|  |  | $parameters = `array()`
| ) |  |
| static

Definition at line 23 of file ezcontentcache.php.

References eZSys\cacheDirectory(), eZDir\filenamePath(), and eZDir\path().

Referenced by exists(), restore(), and store().

## ◆ calculateCleanupValue()

static eZContentCache::calculateCleanupValue | ( |  | $nodeCount | ) |
| static

Definition at line 243 of file ezcontentcache.php.

Referenced by eZContentCacheManager\clearNodeViewCacheArray().

## ◆ cleanup()

static eZContentCache::cleanup | ( |  | $nodeList,
|  |  | $userId = `false`
| ) |  |
| static

Definition at line 255 of file ezcontentcache.php.

References eZSys\cacheDirectory(), eZDir\filenamePath(), eZClusterFileHandler\instance(), and eZDir\path().

Referenced by eZContentCacheManager\clearNodeViewCacheArray().

## ◆ exists()

static eZContentCache::exists | ( |  | $siteDesign,
|  |  | $nodeID,
|  |  | $viewMode,
|  |  | $language,
|  |  | $offset,
|  |  | $roleList,
|  |  | $discountList,
|  |  | $layout,
|  |  | $parameters = `array()`
| ) |  |
| static

Definition at line 58 of file ezcontentcache.php.

References cachePathInfo(), eZClusterFileHandler\instance(), eZContentObject\isCacheExpired(), eZContentObject\isComplexViewModeCacheExpired(), and eZDebugSetting\writeDebug().

## ◆ inCleanupThresholdRange()

static eZContentCache::inCleanupThresholdRange | ( |  | $value | ) |
| static

Definition at line 248 of file ezcontentcache.php.

Referenced by eZContentCacheManager\clearNodeViewCacheArray(), and eZContentObjectTreeNodeOperations\move().

## ◆ restore()

static eZContentCache::restore | ( |  | $siteDesign,
|  |  | $nodeID,
|  |  | $viewMode,
|  |  | $language,
|  |  | $offset,
|  |  | $roleList,
|  |  | $discountList,
|  |  | $layout,
|  |  | $parameters = `array()`
| ) |  |
| static

Definition at line 87 of file ezcontentcache.php.

References cachePathInfo(), eZClusterFileHandler\instance(), eZTemplateDesignResource\instance(), eZContentObject\isCacheExpired(), eZContentObject\isComplexViewModeCacheExpired(), and eZDebugSetting\writeDebug().

## ◆ store()

static eZContentCache::store | ( |  | $siteDesign,
|  |  | $objectID,
|  |  | $classID,
|  |  | $classIdentifier,
|  |  | $nodeID,
|  |  | $parentNodeID,
|  |  | $nodeDepth,
|  |  | $urlAlias,
|  |  | $viewMode,
|  |  | $sectionID,
|  |  | $language,
|  |  | $offset,
|  |  | $roleList,
|  |  | $discountList,
|  |  | $layout,
|  |  | $navigationPartIdentifier,
|  |  | $result,
|  |  | $cacheTTL = `-1`,
|  |  | $parameters = `array()`
| ) |  |
| static

Definition at line 172 of file ezcontentcache.php.

References cachePathInfo(), CODE_DATE, eZClusterFileHandler\instance(), and eZDir\mkdir().

## Member Data Documentation

## ◆ CODE_DATE

const eZContentCache::CODE_DATE = 1064816011

Definition at line 21 of file ezcontentcache.php.

Referenced by store().

The documentation for this class was generated from the following file:

- ezcontentcache.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.